<?php
namespace Claromentis\Core\CDN;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array();






interface CDNInterface extends CDNInterfaceSimple
{
    const SUPPORTS_FILE_RENAME = 'file-rename';
    const SUPPORTS_FOLDER_RENAME = 'folder-rename';
    const SUPPORTS_REPLICATE = 'replicate';
    const SUPPORTS_FAST_URL = 'fast-url';
    const REPLICATE_ADDED = 'added';
    const REPLICATE_REMOVED = 'removed';
    const REPLICATE_IN_SYNC = 'in-sync';
    
    
    
    
    
    
    
    
    
    public function Supports($operation = null);
    
    
    
    
    
    
    
    
    
    
    
    public function GetFiles($path);
    
    
    
    
    
    
    
    
    
    
    public function GetFileInfo($file_path);
    
    
    
    
    
    
    
    
    
    public function GetDirs($path);
    
    
    
    
    
    
    
    
    
    
    public function CreateDir($path);
    
    
    
    
    
    
    
    public function DeleteDir($path);
    
    
    
    
    
    
    
    public function IsDir($path);
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function RenameFile($path, $new_path);
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function RenameDir($path, $new_path);
}